SINFO(1)

NAME
sinfo - Used to view information about Slurm nodes and partitions.

SYNOPSIS
sinfo [OPTIONS...]

DESCRIPTION
sinfo is used to view partition and node information for a system running SLURM.

OPTIONS

--help,
    Print a message describing all sinfo options.

--usage
    Print a brief message listing the sinfo options.

-e, --exact
    If set, do not group node information on multiple nodes unless their configurations to be reported are identical. Otherwise cpu count, memory size, and disk space for nodes will be listed with the minimum value followed by a "+" for nodes with the same partition and state (e.g., "250+").

-h, --noheader
    Do not print a header on the output.

-i <seconds> , --iterate=<seconds>
    Print the state on a periodic basis. Sleep for the indicated number of seconds between reports.

-l , --long
    Print more detailed information. This is ignored if the --format option is specified.

-n <nodes> , --nodes=<nodes>
    Print information only about the specified node(s). Multiple nodes may be comma separated or expressed using a node range expression. For example "linux[00-07]" would indicate eight nodes, "linux00" through "linux07".

-N , --Node
    Print information in a node-oriented format. The default is to print information in a partition-oriented format. This is ignored if the --format option is specified.

-o <output_format>, --format=<output_format>
    Specify the information to be displayed. The default format is "%9P %5a %.9l %.5D %6t %N". If the --summarize option is specified, the default format is "%9P %5a %.9l %15F %N". If the --long option is specified, the default format is "%9P %5a %.9l %.8s %4r %5h %10g %.5D %11T %N". If the --Node option is specified, the default format is "%#N %.5D %9P %6t". If the --Node and --long options are both specified, the default format is "%#N %.5D %9P %11T %.4c %.6m %.8d %.6w %8f %R". In the above two formats the value of "#" represents the maximum length of an node list to be printed. The field specifications available include:
    %a State/availability of a partition
    %A Number of nodes by state in the format "allocated/idle". Do not use this with a node state option ("%t" or "%T") or the different node states will be placed on separate lines.
    %c Number of CPUs per node
    %d Size of temporary disk space per node in megabytes
    %D Number of nodes
    %f Features associated with the nodes
    %F Number of nodes by state in the format "allocated/idle/other/total". Do not use this with a node state option ("%t" or "%T") or the different node states will be placed on separate lines.
    %g Groups which may use the nodes
    %h Jobs may share nodes, "yes", "no", or "force"
    %l Maximum time for any job in the format "days:hours:minutes:seconds"
    %m Size of memory per node in megabytes
    %N List of node names
    %P Partition name
    %r Only user root may initiate jobs, "yes" or "no"
    %R The reason a node is unavailable (down, drained, or draining states)
    %s Maximum job size in nodes
    %t State of nodes, compact form
    %T State of nodes, extended form
    %w Scheduling weight of the nodes
    %.<*> right justification of the field
    %<Number><*> size of field

-s , --summarize
    List only a partition state summary with no node state details. This is ignored if the --format option is specified.

-S <sort_list> , --sort=<sort_list>
    Specification of the order in which records should be reported. This uses the same field specifciation as the <output_format>. Multiple sorts may be performed by listing multiple sort fields separated by commas. The field specifications may be preceeded by "+" or "-" for assending (default) and desending order respectively. The partition field specification, "P", may be preceeded by a "#" to report partitions in the same order that they appear in SLURM's configuration file, slurm.conf. For example, a sort value of "+P,-m" requests that records be printed in order of increasing partition name and within a partition by decreasing memory size. The default value of sort is "#P,-t" (partitions ordered as configured then decreasing node state). If the "--Node" option is selected, the default sort value is "N" (increasing node name).

-t <state> , --states=<states>
    List nodes only having the given state(s). Multiple states may be comma separated and the comparison is case insensitive. Possible values include: ALLOC, ALLOCATED, COMP, COMPLETING, DOWN, DRAIN, DRAINED, DRAINING, IDLE, UNK, and UNKNOWN. A "*" suffix may be appended to any of these states to search for nodes in the specified state which are not responding. By default nodes in the specified state are reported whether they are responding or not.

-p <partition>, --partition=<partition>
    Print information only about the specified partition.

-v , --verbose
    Provide detailed event logging through program execution.

-V , --version
    Print version information and exit.

OUTPUT

AVAIL
    Partition state, up or down.

CPUS
    Count of CPUs (processors) on these nodes.

GROUPS
    Resource allocations in this partition are restricted to the named groups. all indicates that all groups may use this partition.

JOB_SIZE
    Minimum and maximum node count that can be allocated to any user job. A single number indicates the minimum and maximum node count are the same. infinite is used to identify partitions without a maximum node count.

TIMELIMIT
    Maximum time limit for any user job in days:hours:minutes:seconds. infinite is used to identify partitions without a job time limit.

MEMORY
    Size of real memory in megabytes on these nodes.

NODELIST
    Names of nodes associated with this configuration/partition.

NODES
    Count of nodes with this particular configuration.

NODES(A/I)
    Count of nodes with this particular configuration by node state in the form "available/idle".

NODES(A/I/O/T)
    Count of nodes with this particular configuration by node state in the form "available/idle/other/total".

PARTITION
    Name of a partition. Note that the suffix "*" identifies the default partition.

ROOT
    Is the ability to allocate resources in this partition restricted to user root, yes or no.

SHARE
    Will jobs allocated resources in this partition share those resources. no indicates resources are never shared. force indicates resources are always available to be shared. yes indicates resource may be shared or not per job's resource allocation.

STATE
    State of the nodes. Possible states include: down, unknown, idle, allocated, drained, draining, completing and their abbreviated forms: down, unk, idle, alloc, drain, drng, and comp respectively. Note that the suffix "*" identifies nodes that are presently not responding.

TMP_DISK
    Size of temporary disk space in megabytes on these nodes.

ENVIRONMENT VARIABLES

Some sinfo options may be set via environment variables. These environment variables, along with their corresponding options, are listed below. (Note: Commandline options will always override these settings.)

SINFO_FORMAT
    -o <output_format>, --format=<output_format>

SINFO_PARTITION
    -p <partition>, --partition=<partition>

SINFO_SORT
    -S <sort>, --sort=<sort>

EXAMPLES
Report basic node and partition configurations:
> sinfo
PARTITION AVAIL TIMELIMIT NODES STATE NODELIST
batch up infinite 2 alloc adev[8-9]
batch up infinite 6 idle adev[10-15]
debug* up 30:00 8 idle adev[0-7]

Report partition summary information:
> sinfo -s
PARTITION AVAIL TIMELIMIT NODES(A/I/O/T) NODELIST
batch up infinite 2/6/0/8 adev[8-15]
debug* up 30:00 0/8/0/8 adev[0-7]

Report more complete information about the partition debug:
> sinfo --long --partition=debug
PARTITION AVAIL TIMELIMIT JOB_SIZE ROOT SHARE GROUPS NODES STATE NODELIST
debug* up 30:00 8 no no all 8 idle dev[0-7]
Report only those nodes that are in state DRAINED:
> sinfo --states=drained
PARTITION AVAIL NODES TIMELIMIT STATE NODELIST
debug* up 2 30:00 drain adev[6-7]
Report node-oriented information with details and exact matches:
> sinfo -Nel
NODELIST NODES PARTITION STATE CPUS MEMORY TMP_DISK WEIGHT FEATURES REASON
adev[0-1] 2 debug* idle 2 3448 38536 16 (null) (null)
adev[2,4-7] 5 debug* idle 2 3384 38536 16 (null) (null)
adev3 1 debug* idle 2 3394 38536 16 (null) (null)
adev[8-9] 2 batch allocated 2 246 82306 16 (null) (null)
adev[10-15] 6 batch idle 2 246 82306 16 (null) (null)
Report only down, drained and draining nodes and their reason field:
> sinfo --states=down,drained,draining --sort=N --format="%12N %9T %R"
NODELIST STATE REASON
dev[12,18] DRAINED power supply, ETA Dec25
dev45 DOWN* (null)
dev123 DRAINED memory, ETA Nov24

COPYING
Copyright (C) 2002 The Regents of the University of California. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). UCRL-CODE-2002-040.

This file is part of SLURM, a resource management program. For details, see <http://www.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
scontrol(1), squeue(1), slurm_load_ctl_conf(3), slurm_load_jobs(3), slurm_load_node(3), slurm_load_partitions(3), slurm_reconfigure(3), slurm_shutdown(3), slurm_update_job(3), slurm_update_node(3), slurm_update_partition(3), slurm.conf(5)